Page MenuHomePhabricator

Featured articles should support more languages
Closed, ResolvedPublic

Description

Feature articles have been in the service for a while and are a great addition to the app feed. We should add support for languages beyond English.

This task is to add the languages which support the FeaturedFeed ext. convention of TFA (minus zhwiki since we don't support language variants in RB yet).
Example URI: https://en.wikipedia.org/wiki/Special:FeedItem/featured/20170306000000/en?useskin=apioutput.

See T148680#3078906 for more details of the approach.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 15 2016, 9:41 PM
bearND claimed this task.Mar 20 2017, 6:12 PM
bearND moved this task from To Do to Doing on the Mobile-Content-Service (Kanban) board.
bearND updated the task description. (Show Details)Mar 22 2017, 5:00 PM
Restricted Application added a subscriber: Cosine02. · View Herald TranscriptMar 22 2017, 5:00 PM

Change 344186 had a related patch set uploaded (by BearND):
[mediawiki/services/mobileapps@master] TFA: more languages

https://gerrit.wikimedia.org/r/344186

Change 344186 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] TFA: more languages

https://gerrit.wikimedia.org/r/344186

Quiddity removed a subscriber: Quiddity.Apr 5 2017, 10:41 PM
bearND closed this task as Resolved.Apr 19 2017, 8:06 PM